## calypso.util
Class EnumerationEnumerator

    java.lang.Object
      |
      +--calypso.util.EnumerationEnumerator

public class EnumerationEnumerator
extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`EnumerationEnumerator()`

Method Summary
`void` | `add(java.util.Enumeration e)`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationEnumerator

    public EnumerationEnumerator()

Method Detail

### add

    public void add(java.util.Enumeration e)

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    hasMoreElements in interface java.util.Enumeration

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    nextElement in interface java.util.Enumeration